Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QInputContext.StandardFormat

    java.lang.Object
      java.lang.Enum<QInputContext.StandardFormat>
          com.trolltech.qt.gui.QInputContext.StandardFormat

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QInputContext.StandardFormat>

Enclosing class:
  QInputContext

    public static enum QInputContext.StandardFormat

extends java.lang.Enum<QInputContext.StandardFormat>
implements QtEnumerator

Press link for info on QInputContext.StandardFormat

Enum Constant Summary
`PreeditFormat` The preedit text.
`SelectionFormat` The selection text.

Method Summary
`static QInputContext.StandardFormat` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QInputContext.StandardFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QInputContext.StandardFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PreeditFormat

    public static final QInputContext.StandardFormat PreeditFormat

  The preedit text.

### SelectionFormat

    public static final QInputContext.StandardFormat SelectionFormat

  The selection text.

Method Detail

### values

    public static final QInputContext.StandardFormat[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QInputContext.StandardFormat c : QInputContext.StandardFormat.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QInputContext.StandardFormat valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QInputContext.StandardFormat resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD